diff options
author | Peter Mikus <pmikus@cisco.com> | 2018-10-18 11:55:31 +0000 |
---|---|---|
committer | Vratko Polak <vrpolak@cisco.com> | 2018-10-19 11:44:58 +0000 |
commit | 8e7582edf682a7ba7edcb5ec0a45d00e361ec868 (patch) | |
tree | 6a7f6fa8e83c3e8599f6a7db84c31ec85933dff1 /resources/libraries/bash/function/artifacts.sh | |
parent | c9ad9e38e1554a86b9ee95844340799660edca1b (diff) |
FIX: Correct the packagecloud.io URL path
Change-Id: I8aae4cb85f9bb1efaa19d75e2fd7c9593f20756d
Signed-off-by: Peter Mikus <pmikus@cisco.com>
(cherry picked from commit e44edcedef4dd2fee1c21b122b4bc6bb8586598e)
Diffstat (limited to 'resources/libraries/bash/function/artifacts.sh')
-rw-r--r-- | resources/libraries/bash/function/artifacts.sh | 4 |
1 files changed, 3 insertions, 1 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh index 07a04c4b73..5ead2980b7 100644 --- a/resources/libraries/bash/function/artifacts.sh +++ b/resources/libraries/bash/function/artifacts.sh @@ -18,6 +18,8 @@ set -exuo pipefail function download_artifacts () { # Get and/or install VPP artifacts from packagecloud.io. # + # Variables read: + # - CSIT_DIR - Path to existing root of local CSIT git repository. # Variables set: # - REPO_URL - FD.io Packagecloud repository. @@ -27,7 +29,7 @@ function download_artifacts () { die "Get OS release failed." } - repo_url_path="./VPP_REPO_URL" + repo_url_path="${CSIT_DIR}/VPP_REPO_URL" if [ -e "${repo_url_path}" ]; then REPO_URL="$(<${repo_url_path})" || { die "Read repo URL from ${repo_url_path} failed." |